# Created by pyp2rpm-3.3.2
%global pypi_name django-csp

Name:           python-%{pypi_name}
Version:        3.7
Release:        %mkrel 2
Summary:        Django Content Security Policy support
Group:          Development/Python
License:        BSD
URL:            http://github.com/mozilla/django-csp
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/django_csp-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(asgiref)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pep8)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-django)
BuildRequires:  python3dist(pytest-flakes)
BuildRequires:  python3dist(pytest-pep8)
BuildRequires:  python3dist(setuptools)

%description
Django-CSP adds Content-Security-Policy headers to Django.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(django)

%description -n python3-%{pypi_name}
Django-CSP adds Content-Security-Policy headers to Django.

%prep
%autosetup -n django_csp-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
export DJANGO_SETTINGS_MODULE=csp.tests.settings
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/csp
%{python3_sitelib}/django_csp-%{version}-py?.?.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 3.7-2.mga8
+ Revision: 1656451
- fix build dependencies

* Fri Oct 30 2020 joequant <joequant> 3.7-1.mga8
+ Revision: 1640622
- update to 3.7

* Sun Feb 16 2020 umeabot <umeabot> 3.5-4.mga8
+ Revision: 1535466
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.5-3.mga8
+ Revision: 1451533
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 3.5-2.mga8
+ Revision: 1431072
- drop unneeded runtime requires

* Wed Aug 21 2019 wally <wally> 3.5-1.mga8
+ Revision: 1430758
- imported package python-django-csp

